Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(19)

Issue 2479553006: Remove GetWindowList / GetScreenList and SelectWindow / SelectScreen from WebRTC (Closed)

Created:
2 years, 10 months ago by Hzj_jie
Modified:
2 years, 10 months ago
Reviewers:
Sergey Ulanov, Jamie
CC:
webrtc-reviews_webrtc.org, tterriberry_mozilla.com
Target Ref:
refs/pending/heads/master
Project:
webrtc
Visibility:
Public.

Description

Implement and use new DesktopCapturer APIs in WebRTC This change replaces all GetWindowList / GetScreenList with GetScreenList, SelectWindow / SelectScreen with SelectSource, and BringSelectedWindowToFront with FocusOnSelectedSource in WebRTC. BUG=webrtc:6513 Committed: https://crrev.com/fce4905987d650a3119b1071d42166c8d430d4d3 Cr-Commit-Position: refs/heads/master@{#14960}

Patch Set 1 #

Total comments: 6

Patch Set 2 : Resolve review comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+123 lines, -172 lines) Patch
M webrtc/modules/desktop_capture/cropping_window_capturer.h View 2 chunks +4 lines, -6 lines 0 comments Download
M webrtc/modules/desktop_capture/cropping_window_capturer.cc View 1 chunk +6 lines, -6 lines 0 comments Download
M webrtc/modules/desktop_capture/desktop_capturer.h View 2 chunks +4 lines, -0 lines 0 comments Download
M webrtc/modules/desktop_capture/mac/full_screen_chrome_window_detector.h View 2 chunks +3 lines, -3 lines 0 comments Download
M webrtc/modules/desktop_capture/mac/full_screen_chrome_window_detector.cc View 1 2 chunks +3 lines, -4 lines 0 comments Download
M webrtc/modules/desktop_capture/mac/window_list_utils.h View 1 1 chunk +4 lines, -4 lines 0 comments Download
M webrtc/modules/desktop_capture/mac/window_list_utils.cc View 1 3 chunks +16 lines, -2 lines 0 comments Download
M webrtc/modules/desktop_capture/mouse_cursor_monitor_unittest.cc View 1 chunk +4 lines, -4 lines 0 comments Download
M webrtc/modules/desktop_capture/screen_capturer_x11.cc View 2 chunks +6 lines, -10 lines 0 comments Download
M webrtc/modules/desktop_capture/win/screen_capture_utils.h View 1 chunk +5 lines, -4 lines 0 comments Download
M webrtc/modules/desktop_capture/win/screen_capture_utils.cc View 3 chunks +8 lines, -8 lines 0 comments Download
M webrtc/modules/desktop_capture/win/screen_capturer_win_directx.h View 2 chunks +3 lines, -3 lines 0 comments Download
M webrtc/modules/desktop_capture/win/screen_capturer_win_directx.cc View 1 chunk +3 lines, -3 lines 0 comments Download
M webrtc/modules/desktop_capture/win/screen_capturer_win_gdi.h View 2 chunks +3 lines, -3 lines 0 comments Download
M webrtc/modules/desktop_capture/win/screen_capturer_win_gdi.cc View 1 chunk +3 lines, -3 lines 0 comments Download
M webrtc/modules/desktop_capture/win/screen_capturer_win_magnifier.h View 1 chunk +2 lines, -2 lines 0 comments Download
M webrtc/modules/desktop_capture/win/screen_capturer_win_magnifier.cc View 1 chunk +3 lines, -3 lines 0 comments Download
M webrtc/modules/desktop_capture/window_capturer_mac.mm View 2 chunks +7 lines, -54 lines 0 comments Download
M webrtc/modules/desktop_capture/window_capturer_null.cc View 2 chunks +4 lines, -12 lines 0 comments Download
M webrtc/modules/desktop_capture/window_capturer_unittest.cc View 2 chunks +11 lines, -13 lines 0 comments Download
M webrtc/modules/desktop_capture/window_capturer_win.cc View 6 chunks +12 lines, -14 lines 0 comments Download
M webrtc/modules/desktop_capture/window_capturer_x11.cc View 5 chunks +9 lines, -11 lines 0 comments Download

Messages

Total messages: 17 (10 generated)
Hzj_jie
2 years, 10 months ago (2016-11-05 00:33:20 UTC) #5
Hzj_jie
2 years, 10 months ago (2016-11-06 04:58:05 UTC) #7
Sergey Ulanov
lgtm when my comments addressed https://codereview.webrtc.org/2479553006/diff/60001/webrtc/modules/desktop_capture/mac/full_screen_chrome_window_detector.cc File webrtc/modules/desktop_capture/mac/full_screen_chrome_window_detector.cc (right): https://codereview.webrtc.org/2479553006/diff/60001/webrtc/modules/desktop_capture/mac/full_screen_chrome_window_detector.cc#newcode160 webrtc/modules/desktop_capture/mac/full_screen_chrome_window_detector.cc:160: for (auto it = ...
2 years, 10 months ago (2016-11-07 20:20:57 UTC) #8
Hzj_jie
https://codereview.webrtc.org/2479553006/diff/60001/webrtc/modules/desktop_capture/mac/full_screen_chrome_window_detector.cc File webrtc/modules/desktop_capture/mac/full_screen_chrome_window_detector.cc (right): https://codereview.webrtc.org/2479553006/diff/60001/webrtc/modules/desktop_capture/mac/full_screen_chrome_window_detector.cc#newcode160 webrtc/modules/desktop_capture/mac/full_screen_chrome_window_detector.cc:160: for (auto it = previous_window_list_.begin(); On 2016/11/07 20:20:56, Sergey ...
2 years, 10 months ago (2016-11-07 23:00:18 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/2479553006/100001
2 years, 10 months ago (2016-11-07 23:05:00 UTC) #13
commit-bot: I haz the power
Committed patchset #2 (id:100001)
2 years, 10 months ago (2016-11-07 23:25:21 UTC) #15
commit-bot: I haz the power
2 years, 10 months ago (2016-11-07 23:25:29 UTC) #17
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/fce4905987d650a3119b1071d42166c8d430d4d3
Cr-Commit-Position: refs/heads/master@{#14960}

Powered by Google App Engine
This is Rietveld 408576698